<?php
/*---------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: my-site-map.php
| Author: Oleg Afanasev (Olegator)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| Modified my-site-map
| for php-fusion v.7.0.x
| my-site-map - ver. 1.0
+--------------------------------------------------------+*/

require_once "../../maincore.php";


if (file_exists(INFUSIONS."my-site-map/locale/".$settings['locale'].".php")) {

	include INFUSIONS."my-site-map/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."my-site-map/locale/English.php";
}


 
  $site_map = "<br/>";

# 1 ################################# NEWS
$result = dbquery("SELECT news_id FROM ".DB_NEWS." ");
$rows = dbrows($result);
if ($rows!=0)

{

$site_map .="\n<!--         ".MYSM."       -->\n";

$site_map .="<ul><li>\n<b>".NEWS."</b>\n
<br/><br/>
\n<ul>";


              $result = dbquery("SELECT
               news_cat_id,
               news_cat_name
               FROM ".DB_NEWS_CATS."");
               $rows = dbrows($result);



             while ($data = dbarray($result))
                           {
                             $news_count = dbcount("(*)",DB_NEWS,
                             "news_cat=".$data['news_cat_id']);
                              if ($news_count!=0)
                              {
$site_map .="\n<!--| ".$data['news_cat_name']." |-->\n
<li> <a href='".BASEDIR."news_cats.php?cat_id=".$data['news_cat_id']."' title = '".$data['news_cat_name']."'><STRONG>".$data['news_cat_name']."</STRONG></a><br/>";

             $rsult = dbquery("SELECT
              news_subject,
              news_news,
              news_datestamp,
              news_id
              FROM ".DB_NEWS."
              WHERE ".groupaccess('news_visibility')." AND news_cat= ".$data['news_cat_id']."");
$site_map .="<ul>";
                            while ($dt = dbarray($rsult))
                                        {       $news_news =  chop(strip_tags($dt['news_news']));
$site_map .="\n<!--| ".$data['news_cat_name']." | ".$dt['news_subject']." |-->\n";
$site_map .="<li> <a href='".BASEDIR."news.php?readmore=".$dt['news_id']."' title = '".showdate("longdate", $dt['news_datestamp'])."
 ".trimlink($news_news, 200)." '>".$dt['news_subject']."</a><br/>";
	                                  }
$site_map .="</ul><br/>";
                              }
                              }
######################################  CAT NEW NAMELESS

   $rsult = dbquery("SELECT
              news_subject,
              news_news,
              news_datestamp,
              news_id
              FROM ".DB_NEWS."
              WHERE ".groupaccess('news_visibility')." AND news_cat= 0 ");
              $rows = dbrows($rsult);
if ($rows!=0)
                {
$site_map .="<li><STRONG>".NOCAT."</STRONG>
<ul>";
                            while ($dt = dbarray($rsult))
                                        {
                                        $news_news =  chop(strip_tags($dt['news_news']));
$site_map .="<li> <a href='".BASEDIR."news.php?readmore=".$dt['news_id']."' title='".showdate("longdate", $dt['news_datestamp'])."       ".trimlink($news_news, 200)." '>
".$dt['news_subject']."</a><br/>";
	                                  }
$site_map .="</ul><br/>";}

$site_map .="</ul><br/>
</ul>
<hr ><br/>\n";
}



# 2 ################################# ARTICLE


      $result = dbquery("SELECT
                   article_cat_id,
                   article_cat_name,
                   article_cat_description
                   FROM ".DB_ARTICLE_CATS."
                   WHERE ".groupaccess('article_cat_access')." ");
$rows = dbrows($result);
if ($rows!=0)
{
 $site_map .= "\n<!--| ".ARTICLE." |-->\n";

       $site_map .= "\n<ul><li>\n<b>".ARTICLE."</b>\n<ul><br/>";

         while ($data = dbarray($result))
         {  $site_map .= "\n<!--| ".$data['article_cat_name']." |-->\n";
             $articles_count = dbcount("(*)",DB_ARTICLES,
             "article_cat=".$data['article_cat_id']);
$site_map .= "<li> <a href='".BASEDIR."articles.php?cat_id=".$data['article_cat_id']."' title='".ARTIC." ".$articles_count."
 ".trimlink($data['article_cat_description'], 100)."'><STRONG>
".$data['article_cat_name']."</STRONG></a><br/>";
            if ($articles_count!=0)
               {
$site_map .= "<ul>"; // <br/>

               $rsult = dbquery("SELECT
                                 article_id,
                                 article_subject,
                                 article_datestamp,
                                 article_snippet
                                 FROM   ".DB_ARTICLES."
                                 WHERE article_cat= ".$data['article_cat_id']."");

                         while ($dt = dbarray($rsult))
                               {   $site_map .= "\n<!--| ".$data['article_cat_name']." | ".$dt['article_subject']." |-->\n";
$site_map .= "<li><a href='".BASEDIR."readarticle.php?article_id=".$dt['article_id']."' title='".showdate("longdate", $dt['article_datestamp'])."
 ".trimlink($dt['article_snippet'], 200)."'>
".$dt['article_subject']."</a><br/>";
	                       }
$site_map .= "</ul><br/>";
               }
           else {
$site_map .= "<ul>
                  <li><STRONG>".NOCATARTIC."</STRONG>
                   </ul><br/>";
                }
	}
$site_map .= "</ul><br/>
</ul>
<hr><br/>";
 }


# 3 ################################# WEBLINKS

 $result = dbquery("SELECT weblink_cat_id,
                        weblink_cat_name,
                        weblink_cat_description
                        FROM  ".DB_WEBLINK_CATS."
                        WHERE ".groupaccess('weblink_cat_access')." ");
$rows = dbrows($result);
if ($rows!=0) {

$site_map .= "\n<!--".WBLNKS."-->\n";

$site_map .= "<ul>
<li>\n<b>".WBLNKS."</b>\n
<ul><br/>";
                      while ($data = dbarray($result))
                      {
$weblinks_count = dbcount("(*)",DB_WEBLINKS,
"weblink_cat=".$data['weblink_cat_id']);
$site_map .= " <li>
              <a href='".BASEDIR."weblinks.php?cat_id=".$data['weblink_cat_id']."'
title='".LNKS." ".$weblinks_count."
".trimlink($data['weblink_cat_description'], 200)."' target='_blank'><STRONG>
                       ".$data['weblink_cat_name']."</STRONG></a><br/>";

if ($weblinks_count!=0) {

$rest = dbquery("SELECT
                   weblink_id,
                   weblink_name,
                   weblink_count,
                   weblink_description
                   FROM ".DB_WEBLINKS."
                   WHERE weblink_cat= ".$data['weblink_cat_id']."");
$site_map .= "<ul>";
        while ($dt = dbarray($rest))
                                    {
$site_map .= "<li>
  <a href='".BASEDIR."weblinks.php?cat_id=".$data['weblink_cat_id']."&weblink_id=".$dt['weblink_id']."' title='".XTS." ".$dt['weblink_count']."
  ".trimlink($dt['weblink_description'], 200)." ' target='_blank'>
 ".$dt['weblink_name']."</a>";
	                            }
$site_map .= "</ul><br/>";
                        }
else {
$site_map .= "<ul><li><STRONG>".NOLNKS."</STRONG></ul><br/>";
     }

	}
$site_map .= "</ul>
  </ul>
  <hr><br/>"; }
# 4 #############   FAQ
      $result = dbquery("SELECT
                   faq_cat_id,
                   faq_cat_name,
                   faq_cat_description
                  FROM ".DB_FAQ_CATS." ");
$rows = dbrows($result);
if ($rows!=0)
{ $site_map .= "\n<!--".FAQ."-->\n";



    $site_map .= "<ul><li>\n<b>".FAQ."</b>\n<ul><br/>\n";
         while ($data = dbarray($result))
         {
             $faqcats_count=dbcount("(*)",DB_FAQS,"faq_cat_id=".$data['faq_cat_id']);
$site_map .= "<li> <a href='".BASEDIR."faq.php?cat_id=".$data['faq_cat_id']."' title='".QSTNS." ".$faqcats_count."
".trimlink($data['faq_cat_description'], 200)."'><STRONG>
".$data['faq_cat_name']."</STRONG></a><br/>";
            if ($faqcats_count!=0)
               {
$site_map .= "<ul>";

               $rsult = dbquery("SELECT
                                 faq_id,
                                 faq_question,
                                 faq_answer
                                 FROM ".DB_FAQS."
                                 WHERE faq_cat_id= ".$data['faq_cat_id']."");

                         while ($dat = dbarray($rsult))
                               {
$site_map .= "<li><a href='".BASEDIR."faq.php?cat_id=".$data['faq_cat_id']."' title='".trimlink($dat['faq_answer'], 200)."'>
".$dat['faq_question']."</a><br/>";
	                       }
$site_map .= "</ul><br/>";
               }
           else {
$site_map .= "<ul>
<li><STRONG>".NOFAQ."</STRONG>
</ul><br/>";
                }
	}
$site_map .= "</ul><br/>
</ul>
<hr><br/>";
 }
# 5 ################### DOWNLOADS


     $rst = dbquery("SELECT
                    download_cat_id,
                    download_cat_name,
                    download_cat_description
                   FROM ".$db_prefix."download_cats
                   WHERE ".groupaccess('download_cat_access')."");
$rows = dbrows($rst);
if ($rows!=0) {
    $site_map .= "\n<!--".DWNLD."-->\n";
$site_map .= "<ul>
<li>\n<b>".DWNLD."</b>\n
<ul><br/>";
                         while ($data = dbarray($rst))
                             {
$downloads_count = dbcount("(*)",DB_DOWNLOADS,"download_cat=".$data['download_cat_id']);                ////  ".trimlink($data['download_cat_description'], 200)."
$site_map .= " <li> <a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat_id']."' title='".DWNM." ".$downloads_count."
".trimlink($data['download_cat_description'], 100)."'><STRONG>
".$data['download_cat_name']."</STRONG></a><br/>";
if ($downloads_count!=0) {
$rlt =dbquery("SELECT         download_cat,
                              download_id,
                              download_title,
                              download_count,
                              download_description
                              FROM ".$db_prefix."downloads
                              WHERE download_cat= ".$data['download_cat_id']."");
$site_map .=   "<ul>";
        while ($datt = dbarray($rlt)) {
$site_map .= "<li><a href='".BASEDIR."downloads.php?cat_id=".$datt['download_cat']."&download_id=".$datt['download_id']."' title='".DWN." ".$datt['download_count']."
  ".trimlink($datt['download_description'], 200)."' target='_blank'>
  ".$datt['download_title']."
  </a><br/>";
	}
$site_map .=   "<br/>";
 }
   else {
$site_map .=   "<ul>
   <li><STRONG>".NODWNLD."</STRONG><br/><br/>";
                            }
$site_map .= "</ul>";
                             }
$site_map .= "</ul>
</ul>
 <hr><br/>";   }
# 5 ################### CUSTOM PAGES

$result = dbquery("SELECT * FROM ".DB_CUSTOM_PAGES."
                       WHERE ".groupaccess('page_access')."
                             ORDER BY page_title ASC");
$rows = dbrows($result);
if ($rows!=0) {
$site_map .= "\n<!--".CPGS."-->\n";
$site_map .= "<ul>
<li>\n<b>".CPGS."</b>\n
<ul><br/><ul>";

	while ($data = dbarray($result)) {
	$site_map .= "<li>\n<a href='".BASEDIR."viewpage.php?page_id=".$data['page_id']."' title='".$data['page_title']."'>".$data['page_title']."</a>";
	}
	$site_map .= "</ul></ul></ul><br/><hr>";
}

# 6 ###################   POLLS

$result = dbquery("SELECT * FROM ".DB_POLLS." ORDER BY poll_started DESC");

$rows = dbrows($result);
if ($rows!=0) {
$site_map .= "\n<!--".PLLS."-->\n";
$site_map .= "<ul>
<li>\n<b>".PLLS."</b><ul><br/><ul>";
	$site_map .= "";
	while ($data = dbarray($result)) {
		$polls_count = dbcount("(*)",DB_POLL_VOTES,"poll_id=".$data['poll_id']);
		$site_map .= "<li>".$data['poll_title']." - <span class='small'>[".VOTE." ".$polls_count."]</span><br/>";
	}
	$site_map .= "</ul></ul></ul><br/><hr>";
}
# 7 ###################   FORUM

$result = dbquery("SELECT * FROM ".DB_FORUMS."
                   WHERE   forum_cat=0
                   ORDER BY forum_order ASC");

$rows = dbrows($result);
if ($rows!=0) {
  $site_map .=  "<ul>
<li>\n<b>".FORUMS."</b><ul><br>";

	while ($data = dbarray($result)) {
		$forums_count = dbcount("(forum_id)",DB_FORUMS, "".groupaccess('forum_access')." AND forum_cat='".$data['forum_id']."'");
	if ($forums_count!=0) {	  $site_map .=  "<li><a href='".BASEDIR."forum/viewforum.php?forum_id=".$data['forum_id']."'  title='".$data['forum_name']."'><b>".$data['forum_name']."</b></a><br/>";
   $site_map .=  "<br/>";



$ressult = dbquery("SELECT forum_id,
                           forum_name,
                           forum_order,
                           forum_description
                           FROM ".DB_FORUMS."
                           WHERE ".groupaccess('forum_access')." AND forum_cat=".$data['forum_id']."
                           ORDER BY forum_order");
$site_map .=  "<ul>";
while ($datta = dbarray($ressult)) {
$site_map .=  "<li><a href='".BASEDIR."forum/viewforum.php?forum_id=".$datta['forum_id']."' title='".$datta['forum_description']."'><STRONG>
".$datta['forum_name']."</STRONG></a>";





           $ret = dbquery("SELECT
                                      forum_id,
                                      thread_id,
                                      thread_subject
                                      FROM ".DB_THREADS."
                                      WHERE  forum_id=".$datta['forum_id']."
                                       order by thread_subject asc");
                         $rows = dbrows($ret);
 if ($rows!=0) {

$site_map .=    "<br/><br/>";
 while ($data = dbarray($ret)) {


$result2 = dbquery(
		"SELECT post_message FROM ".DB_POSTS."
		LEFT JOIN ".DB_USERS." ON ".DB_POSTS.".post_author=".DB_USERS.".user_id
		WHERE thread_id='".$data['thread_id']."' ORDER BY post_datestamp LIMIT 0,1"
	);

          $title = mysql_result($result2,0);
          $title = parseubb($title);
          $title =  chop(strip_tags($title));



$site_map .=  "<ul>";
$site_map .=  "<a href='".BASEDIR."forum/viewthread.php?forum_id=".$data['forum_id']."&thread_id=".$data['thread_id']."'title='".trimlink($title,250)."'> ";
$site_map .= "<STRONG>&#8226;</STRONG>&nbsp;".trimlink($data['thread_subject'], 40)." ";


$site_map .= "</a></ul>";

	}

                      }
 else {
$site_map .= "<ul><br/><STRONG>&#8226;&nbsp;".NOTEMS."</STRONG></ul>  ";
                         }

$site_map .= "<br/>";
}
$site_map .= "</ul>";
}

}
$site_map .=  "</ul></ul><hr>";
}

# 8 ###################  PHOTOGALLERY


    $result = dbquery("SELECT album_id,
                       album_title,
                       album_description
                       FROM ".DB_PHOTO_ALBUMS."
                       WHERE ".groupaccess('album_access')."");
         $rows = dbrows($result);
if ($rows !=0)
{  $site_map .=  "\n<!--".FTGLLR."-->\n";
 $site_map .=  "<ul>
 <li>\n<b>".FTGLLR."</b>\n<ul><br/>";

   while ($data = dbarray($result))
                                      {
      $photo_count = dbcount("(*)",DB_PHOTOS,"album_id=".$data['album_id']);
$site_map .=  "<li>  <a href='".BASEDIR."photogallery.php?album_id=".$data['album_id']."' title=' ".PHTO." ".$photo_count."
  ".trimlink($data['album_description'], 100)."'><STRONG>
                    ".$data['album_title']."</STRONG></a><br/>";
               if ($photo_count!=0) {
                 $resul = dbquery("SELECT
                                   photo_id,
                                   photo_title,
                                   photo_datestamp,
                                   photo_description
                                   FROM ".DB_PHOTOS."
                                   WHERE album_id= ".$data['album_id']."");
                $site_map .=  "<ul>";
	while ($dat = dbarray($resul))
                                           {
     $site_map .=  "<li> <a href='".BASEDIR."photogallery.php?photo_id=".$dat['photo_id']."' title='".showdate("longdate", $dat['photo_datestamp'])."
      ".trimlink($dat['photo_description'], 100)."' target='_blank'>
     ".$dat['photo_title']."</a><br/>";
                                          }
  $site_map .= "</ul><br/>";
}
     else {
         $site_map .=  "<ul><li><STRONG> ".NOPHOTO."</STRONG></ul>
          <br/>";
         }
}
$site_map .=  "</ul><br/>
</ul>
<hr><br/>";
          }


   if (isset($_GET['action'])){ echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>\n";
echo "<html>\n<head>\n
<title>".$settings['sitename']."</title>\n
<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />
<meta name='description' content='".$settings['description']."' />\n
<meta name='keywords' content='".$settings['keywords']."' />\n
<style type=\"text/css\">\n
body { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:14px; }\n
hr { height:1px;color:#ccc; }\n
.small { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:12px; }\n
.small2 { font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:12px;color:#666; }\n
</style>\n</head>\n<body>\n
<br><center><b>".MYSM.": ".$settings['sitename']."</b></center><br><br><hr>
".$site_map."";

echo"
<div><br />\n<center><small> Powered by <a href='http://www.php-fusion.co.uk/'>PHP-Fusion</a> copyright  2002 - 2008 by Nick Jones. <br />\n
Released as free software without warranties under <a href='http://www.fsf.org/licensing/licenses/agpl-3.0.html'>GNU Affero GPL v3</a>. <br />\n
Module designed and developed by <a href='http://x-vim.info/'>Oleg Afanasev (Olegator)</a>.</small></center></div>
</body>\n</html>\n"; }
   
   
   
else {

require_once THEMES."templates/header.php";

opentable(MYSM.": ".$settings['sitename']);
echo "<div align='right'>&nbsp;<a href='".FUSION_SELF."?action=print'><img src='".get_image("printer")."' alt='".PRNT."' title='".PRNT."' style='border:0;vertical-align:middle' /></a></div>
".$site_map."
<br/><table width='100%'><tr><td width='80%'><hr class='side-hr'></td><td align='right'><nobr><a href='http://x-vim.info/' ><B>&nbsp;&nbsp;SITE MAP&nbsp;&nbsp;</B></a></nobr></td>
</tr></table>\n
<br>";
closetable();

require_once THEMES."templates/footer.php";
}


?>
